import request from '@/utils/request'

// 查询销售的客户标签组列表
export function listCompanyTagGroup(query) {
  return request({
    url: '/company/companyTagGroup/list',
    method: 'get',
    params: query
  })
}

// 查询销售的客户标签组详细
export function getCompanyTagGroup(id) {
  return request({
    url: '/company/companyTagGroup/' + id,
    method: 'get'
  })
}

// 新增销售的客户标签组
export function addCompanyTagGroup(data) {
  return request({
    url: '/company/companyTagGroup',
    method: 'post',
    data: data
  })
}

// 修改销售的客户标签组
export function updateCompanyTagGroup(data) {
  return request({
    url: '/company/companyTagGroup',
    method: 'put',
    data: data
  })
}

// 删除销售的客户标签组
export function delCompanyTagGroup(id) {
  return request({
    url: '/company/companyTagGroup/' + id,
    method: 'delete'
  })
}

// 导出销售的客户标签组
export function exportCompanyTagGroup(query) {
  return request({
    url: '/company/companyTagGroup/export',
    method: 'get',
    params: query
  })
}
